#!/usr/bin/env python3

from gi.repository import Clutter, Cogl

class ComipoliPage(Clutter.Actor):
    def __init__(self):
        Clutter.Actor.__init__(self)
        self.image = Clutter.Image()
        self.set_content(self.image)
        self.aspectrate = 0.0

    def set_pixbuf(self, pixbuf):
        self.image.set_data(
            pixbuf.get_pixels(),
            Cogl.PixelFormat.RGB_888,
            pixbuf.get_width(),
            pixbuf.get_height(),
            pixbuf.get_rowstride()
        )
        self.aspectrate = pixbuf.get_width() / pixbuf.get_height()

